Mail archive
alpine-aports

[alpine-aports] [PATCH] community/midori: build with webkit2 and gtk3

From: Jiri Horner <laeqten_at_gmail.com>
Date: Sun, 8 Nov 2015 13:45:27 +0000

* bump upstream version
* build with webkit2gtk-4.0
* removed obsolete patch (merged upstream)
---
 community/midori/APKBUILD              | 30 ++++++++++++++----------------
 community/midori/execinfo-detect.patch | 18 ------------------
 2 files changed, 14 insertions(+), 34 deletions(-)
 delete mode 100644 community/midori/execinfo-detect.patch
diff --git a/community/midori/APKBUILD b/community/midori/APKBUILD
index 5cb98be..77f94fd 100644
--- a/community/midori/APKBUILD
+++ b/community/midori/APKBUILD
_at_@ -1,23 +1,21 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=midori
-pkgver=0.5.10
+pkgver=0.5.11
 pkgrel=0
 pkgdesc="A lightweight web browser based on Gtk WebKit"
 url="http://www.midori-browser.org"
 arch="all"
 license="LGPL2+"
-depends=""
-depends_dev="libnotify-dev libunique-dev webkitgtk-dev"
-makedepends=" $depends_dev cmake librsvg-dev paxmark python vala gcr-dev"
+depends=
+makedepends="cmake librsvg-dev paxmark python vala gtk+3.0-dev gcr-dev libunique-dev webkit2gtk-dev"
 subpackages="$pkgname-lang"
 install=""
-source="http://www.midori-browser.org/downloads/midori_${pkgver}_all_.tar.bz2
-	execinfo-detect.patch
-	"
+source="http://www.midori-browser.org/downloads/midori_${pkgver}_all_.tar.bz2"
 
-_builddir="$srcdir"/
+_srcdir="${srcdir}/$pkgname-${pkgver}"
+_builddir="${srcdir}/build"
 prepare() {
-	cd "$_builddir"
+	cd "$_srcdir"
 	for i in $source; do
 		case $i in
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
_at_@ -26,13 +24,16 @@ prepare() {
 }
 
 build() {
+	mkdir "$_builddir"
 	cd "$_builddir"
 	cmake \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_INSTALL_LIBDIR=/usr/lib \
+		-DUSE_GTK3=ON \
+		-DHALF_BRO_INCOM_WEBKIT2=ON \
 		-DUSE_ZEITGEIST=OFF \
-		. || return 1
+		"$_srcdir" || return 1
 	make
 }
 
_at_@ -43,9 +44,6 @@ package() {
 	paxmark -mp "$pkgdir"/usr/bin/midori || return 1
 }
 
-md5sums="2f250a5015923b6eeca606629e7bf042  midori_0.5.10_all_.tar.bz2
-38acb831d862fa8d9aaa9097b4180840  execinfo-detect.patch"
-sha256sums="702344f68d7f034866a46398e35b3c16a5a5f3e431a5d916ea5efc3eaaa3e46f  midori_0.5.10_all_.tar.bz2
-cc8c5f1402aa7785d67df96f05c72dcbe74c67624834f427e09ceb44ab6d73c7  execinfo-detect.patch"
-sha512sums="9e615581b2029e2167d13bab3a580cf89b87da4979bb27982f2002b4ddb97e44d27ea910ee60df6479bd0dfa8cbef75217fa1956eb34b13475c99ab25b83f245  midori_0.5.10_all_.tar.bz2
-20cd27a801bf1dcf1c9e4e4642a4a342f5a70e0f97843b155588c80f1e4976dd6f8fd95d5e2d6c416de3f7181d0719e3e04d2d09b6a8d105df4510ef0090bc45  execinfo-detect.patch"
+md5sums="fcc03ef759fce4fe9f2446d9da4a065e  midori_0.5.11_all_.tar.bz2"
+sha256sums="96191a96be71144ae848a409fae5a1d6d52a00e583f33122081f47ead9c49c3d  midori_0.5.11_all_.tar.bz2"
+sha512sums="237310d1f0bf70796474b9ec5be6755927e66acd2b527d04db39696c5e2f7ea2d11f7deb51ba3f5c151a450ab71e642282a1386e34253aaea1d8602ce76ac87d  midori_0.5.11_all_.tar.bz2"
diff --git a/community/midori/execinfo-detect.patch b/community/midori/execinfo-detect.patch
deleted file mode 100644
index 8bb9bce..0000000
--- a/community/midori/execinfo-detect.patch
+++ /dev/null
_at_@ -1,18 +0,0 @@
---- ./CMakeLists.txt.orig	2014-04-21 08:00:30.090231380 +0000
-+++ ./CMakeLists.txt	2014-04-21 08:02:48.048579861 +0000
-_at_@ -102,13 +102,8 @@
- endif ()
- 
- # Check if execinfo.h header exists
--string(FIND ${CMAKE_SYSTEM_NAME} "BSD" BEGIN)
--if (${BEGIN} GREATER 0)
--    string(SUBSTRING ${CMAKE_SYSTEM_NAME} ${BEGIN} 3 BSD)
--else()
--    set(BSD 0)
--endif()
--if (UNIX AND NOT BSD AND NOT DFLY)
-+find_file (EXECINFO execinfo.h)
-+if (EXECINFO)
-     set(VALAFLAGS ${VALAFLAGS} -D HAVE_EXECINFO_H)
- endif ()
- 
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Nov 08 2015 - 13:45:27 GMT